Uploaded image for project: 'RHEL'
  1. RHEL
  2. RHEL-5274

PostgreSQL system role: unable to install PostgreSQL version 15 on RHEL 9

    • rhel-system-roles-1.23.0-2.14.el9
    • sst_system_roles
    • 22
    • 23
    • None
    • QE ack, Dev ack
    • False
    • Hide

      None

      Show
      None
    • Yes
    • Red Hat Enterprise Linux
    • None
    • Bug Fix
    • Hide
      .The `postgresql` RHEL System Role now installs the correct version of PostgreSQL

      Previously, if you tried to run the `postgresql` RHEL System Role with the `postgresql_version: "15"` variable defined on a RHEL managed node, PostgreSQL version 13 was installed instead of version 15. This bug has been fixed, and the `postgresql` role installs the version set in the variable.
      Show
      .The `postgresql` RHEL System Role now installs the correct version of PostgreSQL Previously, if you tried to run the `postgresql` RHEL System Role with the `postgresql_version: "15"` variable defined on a RHEL managed node, PostgreSQL version 13 was installed instead of version 15. This bug has been fixed, and the `postgresql` role installs the version set in the variable.
    • Done
    • None

      What were you trying to do that didn't work?

      I'm attempting to use the PostgreSQL RHEL system role to install PostgreSQL version 15 on RHEL 9, however version 13 is installed.  

      Please provide the package NVR for which bug is seen:

      rhel-system-roles-1.22.0-2.el9.noarch

      How reproducible:

      Every time

      Steps to reproduce

      1.  Run postgresql system role with variable postgresql_version: "15" defined on a RHEL 9 managed node

      Expected results

      PostgreSQL version 15 is installed.

      Actual results

      PostgreSQL version 13 is installed.

            rmeggins@redhat.com Richard Megginson
            rhn-support-briasmit Brian Smith
            Filip Janus Filip Janus
            Vaclav Danek Vaclav Danek
            Lenka Špačková Lenka Špačková
            Votes:
            0 Vote for this issue
            Watchers:
            9 Start watching this issue

              Created:
              Updated:
              Resolved: